Debian Bug report logs - #631846
liferea: Browser preference lists browsers that are not installed

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: Sam Geeraerts <samgee@elmundolibre.be>

Date: Mon, 27 Jun 2011 17:33:01 UTC

Severity: wishlist

Tags: confirmed, wontfix

Found in version liferea/1.6.4-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Mon, 27 Jun 2011 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 27 Jun 2011 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liferea: Browser preference lists browsers that are not installed
Date: Mon, 27 Jun 2011 19:29:53 +0200
Package: liferea
Version: 1.6.4-1
Severity: normal
User: gnewsense-dev@nongnu.org
Usertags: gnewsense

Menu Tools -> Preferences -> Browser -> Browser lists several browsers that can
be set to use as external Web browser. The list contains (among others)
Konqueror and Opera, neither of which I have installed on my system. Opera is
not even part of Debian, and not free software on top of that.

It makes more sense to only list the browsers that are installed.


-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-6         The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.2.24-3         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.88-2           simple interprocess messaging syst
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libglade2-0             1:2.6.4-1        library to load .glade files at ru
ii  libglib2.0-0            2.24.2-1         The GLib library of C routines
ii  libgtk2.0-0             2.20.1-1+b1      The GTK+ graphical user interface 
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  liblua5.1-0             5.1.4-5          Simple, extensible, embeddable pro
ii  libnm-glib2             0.8.1-6+squeeze1 network management framework (GLib
ii  libnotify1 [libnotify1- 0.5.0-2          sends desktop notifications to a n
ii  libpango1.0-0           1.28.1-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.2-1         an HTTP library implementation in 
ii  libsqlite3-0            3.7.3-1          SQLite 3 shared library
ii  libwebkit-1.0-2         1.2.4-1          Web content engine library for Gtk
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxml2                 2.7.7.dfsg-4     GNOME XML library
ii  libxslt1.1              1.1.26-6         XSLT 1.0 processing library - runt
ii  liferea-data            1.6.4-1          architecture independent data for 

Versions of packages liferea recommends:
ii  curl                          7.21.0-1   Get a file from an HTTP, HTTPS or 
ii  dbus                          1.2.24-3   simple interprocess messaging syst
ii  dbus-x11                      1.2.24-3   simple interprocess messaging syst
ii  wget                          1.12-2.1   retrieves files from the web

Versions of packages liferea suggests:
pn  network-manager               <none>     (no description available)

-- no debconf information




Added tag(s) confirmed. Request was from Moray Allan <moray@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 20:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Mon, 15 Apr 2013 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 15 Apr 2013 21:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 631846@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 631846@bugs.debian.org
Cc: 631846-submitter@bugs.debian.org
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Tue, 16 Apr 2013 07:01:25 +1000
This is not a bug hence I believe it hardly qualifies for anything
higher than "wishlist" (to which I'm adjusting severity).

If upstream decided to allow user to select Opera among other browsers
I don't see why would we remove such option. Certainly some people may
have Opera installed.

It is debatable whenever detection of installed browsers is feasible
to develop especially if other issues are taken to account. In a way
such support is already exists as "Default browser" will use any
available browser (i.e. `x-www-browser`).

Since we already use `x-www-browser` IMHO there is nothing else to do
here. I'm also tagging this bug as "wontfix" but it may be
reconsidered if some of my co-maintainers disagree.

Cheers,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

I believe in only one thing: liberty; but I do not believe in liberty
enough to want to force it upon anyone.
        -- H. L. Mencken




Severity set to 'wishlist' from 'normal' Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 21:03:06 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 21:03:09 GMT) Full text and rfc822 format available.

Message sent on to Sam Geeraerts <samgee@elmundolibre.be>:
Bug#631846. (Mon, 15 Apr 2013 21:03:13 GMT) Full text and rfc822 format available.

Information stored :
Bug#631846; Package liferea. (Tue, 16 Apr 2013 21:06:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and filed, but not forwarded. (Tue, 16 Apr 2013 21:06:20 GMT) Full text and rfc822 format available.

Message #24 received at 631846-quiet@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 631846-quiet@bugs.debian.org
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Tue, 16 Apr 2013 23:02:41 +0200
Preconfiguring browser commands is a nice convenience for users so that
they don't have to find out the command themselves. That's fine.

But if there are browsers in the list that are not installed, then the
GUI is providing options that don't work. That's a bug in my opinion.

I agree that most users will probably set their Liferea browser
preference to (the same as) x-www-browser. But that's a separate option
in the selection box, not a substitute for browser detection.

I'm not well versed in GTK programming. Would g_find_program_in_path
[1] be on the right track to a solution? If so, I could try my hand at
it when I get some time.

[1]
http://www.gtk.org/api/2.6/glib/glib-Miscellaneous-Utility-Functions.html#g-find-program-in-path



Information stored :
Bug#631846; Package liferea. (Tue, 16 Apr 2013 23:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 16 Apr 2013 23:45:26 GMT) Full text and rfc822 format available.

Message #29 received at 631846-quiet@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Sam Geeraerts <samgee@elmundolibre.be>, 631846-quiet@bugs.debian.org
Cc: Dmitry Smirnov <onlyjob@member.fsf.org>
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Wed, 17 Apr 2013 01:30:24 +0200
On 04/16/2013 11:02 PM, Sam Geeraerts wrote:
> Preconfiguring browser commands is a nice convenience for users so that
> they don't have to find out the command themselves. That's fine.
> 
> But if there are browsers in the list that are not installed, then the
> GUI is providing options that don't work. That's a bug in my opinion.
> 
> I agree that most users will probably set their Liferea browser
> preference to (the same as) x-www-browser. But that's a separate option
> in the selection box, not a substitute for browser detection.
> 
> I'm not well versed in GTK programming. Would g_find_program_in_path
> [1] be on the right track to a solution? If so, I could try my hand at
> it when I get some time.

I am with Dmitry here and I have no intention of patching liferea for this. Your
best option is to have this fixed upstream, then it'll get into Debian too. If
you have a patch we can forward it upstream, but there's no guarantee that'll be
accepted.

Regards,
Emilio



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Wed, 17 Apr 2013 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Wed, 17 Apr 2013 00:27:04 GMT) Full text and rfc822 format available.

Message #34 received at 631846@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Sam Geeraerts <samgee@elmundolibre.be>
Cc: 631846@bugs.debian.org
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Wed, 17 Apr 2013 10:23:14 +1000
Dear Sam,

I recognise number of problems with run-time browser detection.

I believe it's not good to expect users to complain that they can
choose browser that is not installed. Not having a browser in
drop-down list may be inconvenient for those who may choose to
configure favourite browser in Liferea before installing it. Also
presence of other browsers in list may inspire people to try something
new.

If you still think that run-time detection of available browsers is a
good idea then consider that you will have to maintain hardcoded list
of valid browsers as well (unless you figure out how to detect all
available browsers on run-time). And in some cases it won't work as
the list of valid browsers may vary on different architectures and suites.

That's an additional maintenance burden for very little or no benefit.

Also we don't want to diverge from upstream and maintain patches that
upstream is not considering useful. Convincing upstream will be
difficult due to already mentioned maintenance burden.

Besides accurate detection of valid browsers is probably a
distro-specific task.

As you can see implementing what you want is more difficult than
it appears but also unnecessary.

Your time would be much better spent if you could help with more
important issues: at the moment we have over 50 bugs reported
for Liferea.

Thank you.

Cheers,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Wed, 17 Apr 2013 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Wed, 17 Apr 2013 20:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 631846@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: 631846@bugs.debian.org
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Wed, 17 Apr 2013 22:35:59 +0200
I think we have a misunderstanding. If I understand correctly then
you're talking about finding and listing all installed browsers. I
agree that that is difficult and distro-specific.

My suggestion is to keep the hard coded browsers array (perhaps
slightly modified) that's already in src/ui/ui_prefs.c and check if the
given filenames are executable. Or, in pseudocode:

for b in browsers:
  for dir in $PATH:
    if [ -x "$dir/$b.filename" ]
      b.visible = true
      break

Inspiring people to try a browser that is not in the package repo (i.e.
Opera) is what I'm trying to avoid for gNewSense. I just thought to
deal with the more generic issue instead of just editing the hard coded
array. Those who choose to configure the browser setting up front are
probably power users who have no problem with the manual setting edit
box.

I understand that you want to keep differences with upstream to a
minimum. I'll try to come up with a patch and take my case upstream.



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Thu, 18 Apr 2013 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 18 Apr 2013 02:57:04 GMT) Full text and rfc822 format available.

Message #44 received at 631846@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Sam Geeraerts <samgee@elmundolibre.be>
Cc: 631846@bugs.debian.org
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Thu, 18 Apr 2013 12:53:26 +1000
On Thu, 18 Apr 2013 06:35:59 Sam Geeraerts wrote:
> I think we have a misunderstanding. If I understand correctly then
> you're talking about finding and listing all installed browsers. I
> agree that that is difficult and distro-specific.
> 
> My suggestion is to keep the hard coded browsers array (perhaps
> slightly modified) that's already in src/ui/ui_prefs.c and check if the
> given filenames are executable. Or, in pseudocode:
> 
> for b in browsers:
>   for dir in $PATH:
>     if [ -x "$dir/$b.filename" ]
>       b.visible = true
>       break
> 

I understand what you're trying to do and I think it doesn't worth the
effort. :)

> Inspiring people to try a browser that is not in the package repo (i.e.
> Opera) is what I'm trying to avoid for gNewSense.

I think it is not possible to "inspire" gNewSense users to use
proprietary software because those who choose "gNewSense" are probably
strongly detest proprietary in any form . :)

Perhaps what you're really trying is not to annoy them with mentioning
of any non-free application.

If you think that censoring-out opera is worth it then why not just
remove it from list with simple patch?

> I just thought to
> deal with the more generic issue instead of just editing the hard coded
> array. Those who choose to configure the browser setting up front are
> probably power users who have no problem with the manual setting edit
> box.
> 
> I understand that you want to keep differences with upstream to a
> minimum. I'll try to come up with a patch and take my case upstream.

I'm with you if you want to extend hardcoded list of browsers a little
but I'm against showing only installed browsers because of
inconvenience, maintenance burden and secrecy. Just think about it: if
you show only installed browsers in drop-down list then user will have
to install browser first to see if it can be used with Liferea. To me
it is a usability bug unless you modify Liferea to detect all
available browsers that one can use.

I hope you will be able to convince upstream that `opera` is not worth
advertising in list of browsers and to replace it with something else.

Cheers,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

It is no use saying, 'We are doing our best.' You have got to succeed
in doing what is necessary.
        -- Winston Churchill



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Thu, 18 Apr 2013 08:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu27@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 18 Apr 2013 08:06:04 GMT) Full text and rfc822 format available.

Message #49 received at 631846@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu27@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 631846@bugs.debian.org
Cc: Sam Geeraerts <samgee@elmundolibre.be>
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Thu, 18 Apr 2013 10:04:40 +0200
On 04/18/2013 04:53 AM, Dmitry Smirnov wrote:
> On Thu, 18 Apr 2013 06:35:59 Sam Geeraerts wrote:
>> I think we have a misunderstanding. If I understand correctly then
>> you're talking about finding and listing all installed browsers. I
>> agree that that is difficult and distro-specific.
>>
>> My suggestion is to keep the hard coded browsers array (perhaps
>> slightly modified) that's already in src/ui/ui_prefs.c and check if the
>> given filenames are executable. Or, in pseudocode:
>>
>> for b in browsers:
>>   for dir in $PATH:
>>     if [ -x "$dir/$b.filename" ]
>>       b.visible = true
>>       break
>>
> 
> I understand what you're trying to do and I think it doesn't worth the
> effort. :)

I actually think the above makes a lot of sense with s/b.visible/b.sensitive/,
i.e. we gray out the unavailable browsers (instead of hiding them). In any case,
I want to see this done upstream.

Regards,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#631846; Package liferea. (Thu, 18 Apr 2013 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 18 Apr 2013 08:33:04 GMT) Full text and rfc822 format available.

Message #54 received at 631846@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Emilio Pozuelo Monfort <pochu27@gmail.com>
Cc: 631846@bugs.debian.org, Sam Geeraerts <samgee@elmundolibre.be>
Subject: Re: Bug#631846: liferea: Browser preference lists browsers that are not installed [wontfix]
Date: Thu, 18 Apr 2013 18:31:35 +1000
> I actually think the above makes a lot of sense with s/b.visible/b.sensitive/,
> i.e. we gray out the unavailable browsers (instead of hiding them).

Yes, that makes perfect sense.

> In any case, I want to see this done upstream.

I'm 100% with you on this.

Regards,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:57:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.